Summary: Software watchdog
Name: watchdog
Version: 5.14
Release: r0.0
License: GPL-2.0+
Group: base
Packager: Wind River <info@windriver.com>
URL: http://watchdog.sourceforge.net/
BuildRequires: libtool-cross
BuildRequires: autoconf-native
BuildRequires: libtool-native
BuildRequires: update-rc.d
BuildRequires: update-rc.d-native
BuildRequires: initscripts
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
BuildRequires: gnu-config-native
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: automake-native
Requires: rtld(GNU_HASH)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libc.so.6()(64bit)
Requires: libc6 >= 2.22
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: /bin/sh
Requires: initscripts-functions
Requires: libc.so.6(GLIBC_2.7)(64bit)
Requires(pre): rtld(GNU_HASH)
Requires(pre): libc.so.6(GLIBC_2.3)(64bit)
Requires(pre): libc.so.6(GLIBC_2.14)(64bit)
Requires(pre): libc.so.6()(64bit)
Requires(pre): libc6 >= 2.22
Requires(pre): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(pre): /bin/sh
Requires(pre): initscripts-functions
Requires(pre): libc.so.6(GLIBC_2.7)(64bit)
Requires(post): rtld(GNU_HASH)
Requires(post): libc.so.6(GLIBC_2.3)(64bit)
Requires(post): libc.so.6(GLIBC_2.14)(64bit)
Requires(post): libc.so.6()(64bit)
Requires(post): libc6 >= 2.22
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): /bin/sh
Requires(post): initscripts-functions
Requires(post): libc.so.6(GLIBC_2.7)(64bit)
Requires(preun): rtld(GNU_HASH)
Requires(preun): libc.so.6(GLIBC_2.3)(64bit)
Requires(preun): libc.so.6(GLIBC_2.14)(64bit)
Requires(preun): libc.so.6()(64bit)
Requires(preun): libc6 >= 2.22
Requires(preun): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(preun): /bin/sh
Requires(preun): initscripts-functions
Requires(preun): libc.so.6(GLIBC_2.7)(64bit)
Requires(postun): rtld(GNU_HASH)
Requires(postun): libc.so.6(GLIBC_2.3)(64bit)
Requires(postun): libc.so.6(GLIBC_2.14)(64bit)
Requires(postun): libc.so.6()(64bit)
Requires(postun): libc6 >= 2.22
Requires(postun): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(postun): /bin/sh
Requires(postun): initscripts-functions
Requires(postun): libc.so.6(GLIBC_2.7)(64bit)
Suggests: update-rc.d
Suggests: kernel-module-softdog
Provides: elf(buildid) = ce7aded27095acf1bb125da4a38c5aa4982e8f71
Provides: elf(buildid) = 0cc5fee2d6690c052b92e16b3932690c7b2d4aff
Provides: elf(buildid) = d7ffaf03af0f923e1b8253a015c18bec3fd75541

%description
Watchdog is a daemon that checks if your system is still working. If
programs in user space are not longer executed it will reboot the system.

%package -n watchdog-dbg
Summary: Software watchdog - Debugging files
Group: devel
Suggests: libc6-dbg
Recommends: watchdog = 5.14-r0.0

%description -n watchdog-dbg
Watchdog is a daemon that checks if your system is still working. If
programs in user space are not longer executed it will reboot the system.
This package contains ELF symbols and related sources for debugging
purposes.

%package -n watchdog-staticdev
Summary: Software watchdog - Development files (Static Libraries)
Group: devel
Requires: watchdog-dev = 5.14-r0.0

%description -n watchdog-staticdev
Watchdog is a daemon that checks if your system is still working. If
programs in user space are not longer executed it will reboot the system.
This package contains static libraries for software development.

%package -n watchdog-dev
Summary: Software watchdog - Development files
Group: devel
Requires: watchdog = 5.14-r0.0
Suggests: libc6-dev
Suggests: initscripts-functions-dev
Suggests: update-rc.d-dev
Suggests: initscripts-dev

%description -n watchdog-dev
Watchdog is a daemon that checks if your system is still working. If
programs in user space are not longer executed it will reboot the system.
This package contains symbolic links, header files, and related items
necessary for software development.

%package -n watchdog-doc
Summary: Software watchdog - Documentation files
Group: doc

%description -n watchdog-doc
Watchdog is a daemon that checks if your system is still working. If
programs in user space are not longer executed it will reboot the system.
This package contains documentation.

%package -n watchdog-locale
Summary: Software watchdog
Group: base

%description -n watchdog-locale
Watchdog is a daemon that checks if your system is still working. If
programs in user space are not longer executed it will reboot the system.

%pre
# watchdog - preinst
#!/bin/sh
if [ -z "$D" -a -f "/etc/init.d/watchdog.sh" ]; then
	/etc/init.d/watchdog.sh stop
fi
if type update-rc.d >/dev/null 2>/dev/null; then
	if [ -n "$D" ]; then
		OPT="-f -r $D"
	else
		OPT="-f"
	fi
	update-rc.d $OPT watchdog.sh remove
fi


%post
# watchdog - postinst
#!/bin/sh
if type update-rc.d >/dev/null 2>/dev/null; then
	if [ -n "$D" ]; then
		OPT="-r $D"
	else
		OPT="-s"
	fi
	update-rc.d $OPT watchdog.sh start 15 1 2 3 4 5 . stop 85 0 6 .
fi


%preun
# watchdog - prerm
#!/bin/sh
if [ "$1" = "0" ] ; then
if [ -z "$D" ]; then
	/etc/init.d/watchdog.sh stop
fi
fi

%postun
# watchdog - postrm
#!/bin/sh
if [ "$1" = "0" ] ; then
if type update-rc.d >/dev/null 2>/dev/null; then
	if [ -n "$D" ]; then
		OPT="-f -r $D"
	else
		OPT="-f"
	fi
	update-rc.d $OPT watchdog.sh remove
fi
fi

%files
%defattr(-,-,-,-)
%dir "/etc"
%dir "/usr"
%dir "/etc/init.d"
"/etc/watchdog.conf"
"/etc/init.d/watchdog.sh"
%dir "/usr/sbin"
"/usr/sbin/wd_identify"
"/usr/sbin/watchdog"
"/usr/sbin/wd_keepalive"

%files -n watchdog-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/sbin"
%dir "/usr/src"
%dir "/usr/sbin/.debug"
"/usr/sbin/.debug/wd_identify"
"/usr/sbin/.debug/watchdog"
"/usr/sbin/.debug/wd_keepalive"
%dir "/usr/src/debug"
%dir "/usr/src/debug/watchdog"
%dir "/usr/src/debug/watchdog/5.14-r0"
%dir "/usr/src/debug/watchdog/5.14-r0/watchdog-5.14"
%dir "/usr/src/debug/watchdog/5.14-r0/watchdog-5.14/src"
%dir "/usr/src/debug/watchdog/5.14-r0/watchdog-5.14/include"
"/usr/src/debug/watchdog/5.14-r0/watchdog-5.14/src/umount.c"
"/usr/src/debug/watchdog/5.14-r0/watchdog-5.14/src/mount.c"
"/usr/src/debug/watchdog/5.14-r0/watchdog-5.14/src/heartbeat.c"
"/usr/src/debug/watchdog/5.14-r0/watchdog-5.14/src/lock_mem.c"
"/usr/src/debug/watchdog/5.14-r0/watchdog-5.14/src/keep_alive.c"
"/usr/src/debug/watchdog/5.14-r0/watchdog-5.14/src/nfsmount.c"
"/usr/src/debug/watchdog/5.14-r0/watchdog-5.14/src/configfile.c"
"/usr/src/debug/watchdog/5.14-r0/watchdog-5.14/src/nfsmount.h"
"/usr/src/debug/watchdog/5.14-r0/watchdog-5.14/src/iface.c"
"/usr/src/debug/watchdog/5.14-r0/watchdog-5.14/src/nfsmount_clnt.c"
"/usr/src/debug/watchdog/5.14-r0/watchdog-5.14/src/xmalloc.c"
"/usr/src/debug/watchdog/5.14-r0/watchdog-5.14/src/ifdown.c"
"/usr/src/debug/watchdog/5.14-r0/watchdog-5.14/src/watchdog.c"
"/usr/src/debug/watchdog/5.14-r0/watchdog-5.14/src/nfsmount_xdr.c"
"/usr/src/debug/watchdog/5.14-r0/watchdog-5.14/src/wd_keepalive.c"
"/usr/src/debug/watchdog/5.14-r0/watchdog-5.14/src/sundries.c"
"/usr/src/debug/watchdog/5.14-r0/watchdog-5.14/src/fstab.c"
"/usr/src/debug/watchdog/5.14-r0/watchdog-5.14/src/test_binary.c"
"/usr/src/debug/watchdog/5.14-r0/watchdog-5.14/src/mntent.c"
"/usr/src/debug/watchdog/5.14-r0/watchdog-5.14/src/daemon-pid.c"
"/usr/src/debug/watchdog/5.14-r0/watchdog-5.14/src/pidfile.c"
"/usr/src/debug/watchdog/5.14-r0/watchdog-5.14/src/lomount.c"
"/usr/src/debug/watchdog/5.14-r0/watchdog-5.14/src/file_table.c"
"/usr/src/debug/watchdog/5.14-r0/watchdog-5.14/src/logmessage.c"
"/usr/src/debug/watchdog/5.14-r0/watchdog-5.14/src/version.c"
"/usr/src/debug/watchdog/5.14-r0/watchdog-5.14/src/memory.c"
"/usr/src/debug/watchdog/5.14-r0/watchdog-5.14/src/temp.c"
"/usr/src/debug/watchdog/5.14-r0/watchdog-5.14/src/load.c"
"/usr/src/debug/watchdog/5.14-r0/watchdog-5.14/src/file_stat.c"
"/usr/src/debug/watchdog/5.14-r0/watchdog-5.14/src/wd_identify.c"
"/usr/src/debug/watchdog/5.14-r0/watchdog-5.14/src/shutdown.c"
"/usr/src/debug/watchdog/5.14-r0/watchdog-5.14/src/net.c"
"/usr/src/debug/watchdog/5.14-r0/watchdog-5.14/include/xmalloc.h"
"/usr/src/debug/watchdog/5.14-r0/watchdog-5.14/include/extern.h"
"/usr/src/debug/watchdog/5.14-r0/watchdog-5.14/include/nfs_mount4.h"
"/usr/src/debug/watchdog/5.14-r0/watchdog-5.14/include/sundries.h"
"/usr/src/debug/watchdog/5.14-r0/watchdog-5.14/include/wd_mntent.h"
"/usr/src/debug/watchdog/5.14-r0/watchdog-5.14/include/logmessage.h"
"/usr/src/debug/watchdog/5.14-r0/watchdog-5.14/include/linux_fs.h"
"/usr/src/debug/watchdog/5.14-r0/watchdog-5.14/include/fstab.h"
"/usr/src/debug/watchdog/5.14-r0/watchdog-5.14/include/lomount.h"

%files -n watchdog-dev
%defattr(-,-,-,-)

%files -n watchdog-doc
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/man"
%dir "/usr/share/man/man5"
%dir "/usr/share/man/man8"
"/usr/share/man/man5/watchdog.conf.5"
"/usr/share/man/man8/wd_keepalive.8"
"/usr/share/man/man8/watchdog.8"
"/usr/share/man/man8/wd_identify.8"

